<template>
  <div class="main-content">
    <div class="main-body">
      <div class="main-nav clearfix">
        <div class="homepageN fl" @click="onHomeTabClick">
          <a href="#">
            <i class="glyphicon glyphicon-home"></i>
            <cite>{{$t('homePage')}}</cite>
          </a>
        </div>
        <div class="close-all-tab fr">{{$t('closeAll')}}</div>
        <div class="main-tab-con clearfix">
          <i class="glyphicon glyphicon-menu-left arrow-upicon fl"></i>
          <i class="glyphicon glyphicon-menu-right arrow-downicon fr"></i>
          <div class="main-tab-carousel">
            <ul class="main-tab">
              <li v-for="(tab, index) in tabs" :key="tab.id">
                <div
                  class="main-sortable"
                  :class="{ 'sortable-active': tab.active }"
                  @click="onTabClick(tab)"
                >
                  <cite>{{tab.name+"-->"+index}}</cite>
                  <i class="glyphicon glyphicon-remove" @click.stop="onCloseBtnClick(tab)"></i>
                </div>
              </li>
            </ul>
          </div>
        </div>
      </div>
      <div class="main-tab-content">
        <div class="myapps-component" :style="{display: isHomeActive()?'block':'none'}">
          <main_homepage />
          <!-- <main_pending/> -->
          <!-- <main_processing /> -->
          <!-- <instrument/> -->
        </div>
        <div
          class="myapps-component"
          v-for="(tab) in tabs"
          :key="tab.id"
          :style="{ 'display': tab.active ? 'block':'none' }"
        >
          <obpm_open_container :openParams="tab"></obpm_open_container>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
import obpm_open_container from "@/components/obpm_open_container.vue"
import main_homepage from "@/components/main_homepage.vue"
import { constants } from 'crypto';
// import main_pending from "@/components/main_pending.vue"
// import main_processing  from "@/components/main_processing.vue"
// import instrument from "@/components/instrument.vue"


export default {
  name: "obpm-main-content",
  props: ["tabs"],
  components: {
    obpm_open_container,
    main_homepage
    // main_pending,
    // main_processing,
    // instrument
  },
  data: function() {
    return {
      // tabs: []
    };
    // return API.getMenus(this.$props.appid);
  },
  methods: {
    isHomeActive: function() {
      var flag = false;
      this.tabs.forEach(element => {
        flag = element.active || flag;
      });
      return !flag;
    },

    onCloseBtnClick: function(tab) {
      this.$emit("close-tab", tab);
    },

    onTabClick: function(tab) {
      this.$emit("active-tab", tab);
    },

    onHomeTabClick: function() {
      this.$emit("active-home");
    }
  }
};
</script>
<style lang="scss" scoped>
    .myapps-component{
      background:white;
    }
</style>
